- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libvisio::VSDThemeReference Struct Reference

`#include <VSDStyles.h>`

## Public Member Functions
| VSDThemeReference ()
| VSDThemeReference (long lineColour, long fillColour, long shadowColour, long fontColour)
| VSDThemeReference (const VSDThemeReference &themeRef)
| ~VSDThemeReference ()
void | override (const VSDOptionalThemeReference &themeRef)

## Public Attributes
long | qsLineColour
long | qsFillColour
long | qsShadowColour
long | qsFontColour

## Constructor & Destructor Documentation

libvisio::VSDThemeReference::VSDThemeReference | ( |  | ) |
| inline

libvisio::VSDThemeReference::VSDThemeReference | ( | long | lineColour,
|  | long | fillColour,
|  | long | shadowColour,
|  | long | fontColour
| ) |  |
| inline

libvisio::VSDThemeReference::VSDThemeReference | ( | const VSDThemeReference & | themeRef | ) |
| inline

libvisio::VSDThemeReference::~VSDThemeReference | ( |  | ) |
| inline

## Member Function Documentation

void libvisio::VSDThemeReference::override | ( | const VSDOptionalThemeReference & | themeRef | ) |
| inline

## Member Data Documentation

long libvisio::VSDThemeReference::qsFillColour

Referenced by override().

long libvisio::VSDThemeReference::qsFontColour

Referenced by override().

long libvisio::VSDThemeReference::qsLineColour

Referenced by override().

long libvisio::VSDThemeReference::qsShadowColour

Referenced by override().

The documentation for this struct was generated from the following file:

- VSDStyles.h